%define	major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
###%define _requires_exceptions devel(libdb-4.6)

Summary:	A high-performance asynchronous HTTP client library
Name:		serf
Version:	1.3.3
Release:	%mkrel 1
License:	Apache License
Group:		System/Libraries
URL:		http://code.google.com/p/serf/
Source0:	http://serf.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires: %{_lib}apr-devel
BuildRequires: %{_lib}apr-util-devel
BuildRequires: autoconf2.5
BuildRequires: automake1.7
BuildRequires: libtool
BuildRequires: openssl-devel
BuildRequires: zlib-devel
BuildRequires: scons >= 2.3
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.

%package -n	%{libname}
Summary:	A high-performance asynchronous HTTP client library
Group:          System/Libraries

%description -n	%{libname}
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.

%package -n	%{develname}
Summary:	Development libraries and headers for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.

This package contains all of the development files that you will need in order
to compile %{name} applications.

%prep

%setup -q


%build

scons \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    APR=%{_prefix} \
    OPENSSL=%{_prefix} \
    ZLIB=%{_prefix} \
    DEBUG=yes \
    CFLAGS="%{optflags}" \
    APR_STATIC=no

%scons


%install
scons install --install-sandbox=%{buildroot}

# enable strip and debug packages
chmod 755 %{buildroot}%{_libdir}/libserf*.so*

# Don't ship static libs
rm -fR %{buildroot}%{_libdir}/*.a
rm -fR %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc CHANGES LICENSE NOTICE README design-guide.txt
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/serf-1
%attr(0644,root,root) %{_includedir}/serf-1/*.h
%attr(0755,root,root) %{_libdir}/*.so
%attr(0644,root,root) %{_libdir}/pkgconfig/*.pc


%changelog
* Thu Oct 06 2016 adrianomorselli <adrianomorselli> 1.3.3-1uplos2016
- rebuild

* Fri Mar 11 2016 bb <bb> 1.3.3-1pclos2016
- update

* Sat Mar 05 2016 bb <bb> 1.3.2-2pclos2016
- rebuild openssl

* Wed Jan 29 2014 pinoc <vogtpet at gmail.com> 1.3.2-1pclos2014
- 1.3.2
